<?
/*
1 Шлем
2 Наручи
3 Меч
4 Рубаха
5 Броня
6 Плащ
7 Пояс
8 Серги
9 Амулет
10 Кольцо
11 Печатки
12 --
13 Перчатки
14 Щит
15 --
16 Штаны
17 Ботинки

 items_main  items_users
 
SELECT `iu`.*, `im`.* 
FROM `items_users` AS `iu` 
LEFT JOIN `items_main` AS `im` 
ON `iu`.`item_id`=`im`.`id` 
WHERE `iu`.`data` LIKE '%frompisher=1%' AND `iu`.`uid` = "3" AND `iu`.`delete` = "0" AND `iu`.`inOdet` = "0" AND `im`.`inslot` >0 AND `im`.`inslot` <18;


$u->info['money1'];
*/
$itmm = mysql_fetch_array(mysql_query('SELECT COUNT(*) as total FROM `items_users` WHERE `item_id` = "6168" AND `uid` = "'.$u->info['id'].'" AND `delete` = "0"'));
if ($itmm['total']>=50)
{
		mysql_query('UPDATE `items_users` SET `delete`="'.time().'" WHERE `uid`="'.$u->info['id'].'" AND `item_id` = "6168" AND `delete` = 0 LIMIT 50;');
		$u->addItem(6167,$u->info['id'],'|sudba='.$u->info['login']);
		$itmm = mysql_fetch_array(mysql_query('SELECT COUNT(*) as total FROM `items_users` WHERE `item_id` = "6168" AND `uid` = "'.$u->info['id'].'" AND `delete` = "0"'));
		$txt .= '<br><i>Держи свиток сынок.</i><br>Спасибо за пыль но у тебя еще осталось: '.$itmm['total'].' шт.';	
		$u->addDelo(1,$u->info['id'],'&quot;<font color=green>Babka.'.$u->info['city'].'</font>&quot;: Поменял у бабки пыль на свиток!',time(),$u->info['city'],'Babka.'.$u->info['city'].'',1,0);
}
else
{
	$txt .= '<br><i>Чтож ты бабушку так разочаровал</i><br>Недостаточно Призрачной Пыли! У тебя: '.$itmm['total'].' шт. милок.';
}

/*
$itmm=mysql_query('SELECT `iu`.`id` AS iid, `iu`.*, `im`.* 
FROM `items_users` AS `iu` 
LEFT JOIN `items_main` AS `im` 
ON `iu`.`item_id`=`im`.`id` 
WHERE `iu`.`data` LIKE "%frompisher=1%" AND `iu`.`uid` = "'.$u->info['id'].'" AND `iu`.`delete` = "0" AND `iu`.`inOdet` = "0" AND `im`.`inslot` >0 AND `im`.`inslot` <18');
$sell=0;
$selli=0;
while( $itm = mysql_fetch_array($itmm))
{
	$sell += $itm['price1'];
	$u->info['money1'] + $itm['price1'];
	mysql_query('UPDATE `items_users` SET `delete`="'.time().'" WHERE `id` = "'.$itm['iid'].'" LIMIT 1');
	$selli++;
}
if ($sell>0)
{
	mysql_query('UPDATE `users` SET `money`=`money`+"'.$sell.'" WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
	$txt .= '<br>Забрала у тебя <b><font color=#009999>'.$selli.'</b></font> вещей.';
	$txt .= '<br>Держи <b><font color=#009999>'.$sell.'</b></font> кр. малец.';
	$txt .= '<br>Приноси еще - люблю я такие вещички!';
	$u->addDelo(1,$u->info['id'],'&quot;<font color=green>Babka.'.$u->info['city'].'</font>&quot;: Продал бабке &quot;<b>'.$selli.'</b>&quot; предметов за <b>'.$sell.'</b> кр.',time(),$u->info['city'],'Babka.'.$u->info['city'].'',(int)$sell,0);
	mysql_query('UPDATE `users_achiv` SET `bv`= `bv`+'.$selli.' WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
}
else
{
	$txt .= '<br><b><font color=red>Нечего не принес бабушке!</b></font>';
}
*/
unlink($sell,$itmm,$itm);
?>